org.jboss.jca.core.workmanager

## Class ClassBundle

- java.lang.Object
- - org.jboss.jca.core.workmanager.ClassBundle

- All Implemented Interfaces:
    java.io.Serializable

      public class ClassBundle
      extends java.lang.Object
      implements java.io.Serializable

  A class bundle
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassBundle()` Constructor
    `ClassBundle(java.util.List<ClassDefinition> definitions)` Constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `static ClassBundle` | `fromListOfMaps(java.util.List<java.util.Map<java.lang.String,java.lang.Object>> mapList)` create an instance from a Map
    `java.util.List<ClassDefinition>` | `getDefinitions()` Get the definitions
    `int` | `hashCode()`
    `java.util.List<java.util.Map<java.lang.String,java.lang.Object>>` | `toListOfMaps()` return a list maps representing classDefinitions of this instance
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassBundle

          public ClassBundle()

      Constructor

    - #### ClassBundle

          public ClassBundle(java.util.List<ClassDefinition> definitions)

      Constructor
      Parameters:
        `definitions` - The definitions

  - ### Method Detail

    - #### fromListOfMaps

          public static ClassBundle fromListOfMaps(java.util.List<java.util.Map<java.lang.String,java.lang.Object>> mapList)

      create an instance from a Map
      Parameters:
        `mapList` - list of map reperesenting ClassDefinition
      Returns:
        the instance

    - #### toListOfMaps

          public java.util.List<java.util.Map<java.lang.String,java.lang.Object>> toListOfMaps()

      return a list maps representing classDefinitions of this instance
      Returns:
        the list of maps

    - #### getDefinitions

          public java.util.List<ClassDefinition> getDefinitions()

      Get the definitions
      Returns:
        The value

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)